Cantera 2.6.0

Public Member Functions | List of all members
UnknownKineticsModel Class Reference

`#include <KineticsFactory.h>`

Inheritance diagram for UnknownKineticsModel:
[legend]
Collaboration diagram for UnknownKineticsModel:
[legend]

## Public Member Functions
| UnknownKineticsModel (const std::string &proc, const std::string &kineticsModel)
Public Member Functions inherited from CanteraError
template<typename... Args>
| CanteraError (const std::string &procedure, const std::string &msg, const Args &... args)
| Normal Constructor for the CanteraError base class. More...
virtual | ~CanteraError () throw ()
| Destructor for base class does nothing. More...
const char * | what () const throw ()
| Get a description of the error. More...
virtual std::string | getMessage () const
| Method overridden by derived classes to format the error message. More...
virtual std::string | getClass () const
| Method overridden by derived classes to indicate their type. More...

## Additional Inherited Members
Protected Member Functions inherited from CanteraError
| CanteraError ()
| Protected default constructor discourages throwing errors containing no information. More...
| CanteraError (const std::string &procedure)
| Constructor used by derived classes that override getMessage() More...
Protected Attributes inherited from CanteraError
std::string | procedure_
| The name of the procedure where the exception occurred. More...
std::string | formattedMessage_
| Formatted message returned by what() More...

## Detailed Description

Deprecated:
  Unused. To be removed after Cantera 2.6.

Definition at line 19 of file KineticsFactory.h.

## Constructor & Destructor Documentation

## ◆ UnknownKineticsModel()

UnknownKineticsModel | ( | const std::string & | proc,
|  | const std::string & | kineticsModel
| ) |  |
| inline

Definition at line 22 of file KineticsFactory.h.

The documentation for this class was generated from the following file:

- KineticsFactory.h